From being slow to being stuck when using copy command.

 I have a problem using copy , copypaste or wblock commands in Briscad Platinum V 16 (windows 10). 
2 days ago, I was working on a 2D file the filesize is about 2.5M. Every thing was nice and smooth before taking a break, I came back to my work using copy command , my computer got stuck. I purged and audited the file, the problem remained . I deleted all objects, the problem remained(see attachment file). 
I switched my work to Briscad Pro V14, Every thing became nice and smooth again but crashing sometimes. Crashing is not a big problem , at least I can work.
Please provide solution.

Comments

  • Hello,

    this is the user forum, for user-to-user communication.

    If you file a support request and attach the drawing + a description, Bricsys support analysts will be glad to investigate and help.

    Kind regards,
    Hans
  • FWIW: The drawing contains a very big ACAD_ASSOCNETWORK dictionary (with over 8000 "ACDBASSOCACTION" enties). This dictionary is related to 2D contraints. So I suspect the copy operation must have involved entities with 2D contraints.
  • Thank you All for the replies.

    There were several 2D dynamic blocks(from autoCad) in this drawing, that might cause this problem. I've already erased them all.
    I can not do copy, make blocks , write out blocks or copypaste in V16 Platinum.
    I can do the above commands in V14 pro , and get entities into a new file . But working in V16 with the new file , those commands still won't work.
    Is there any way to get rid of those 2D constraints?
  • Well your test file definitely is a strange one... If I _AUDIT the file 33222 entities are initially reported. After copying (_COPY) the two visible entities the _AUDIT command reports 66248 entities! So you should definitely send in an SR with this file attached.

    Below is some code that seems to solve the problem.
    Use the code on a file that has just been opened and then save and reopen.
    Use at your own risk and please let me know if it does work for you.
    [code](defun c:test ( / dictMain dictSub)
      (if
        (and
          (setq dictMain (vle-dictobjname (namedobjdict) "ACAD_ASSOCNETWORK"))
          (setq dictSub (vle-dictobjname dictMain "ACAD_ASSOCNETWORK"))
        )
        (progn
          (mapcar
            '(lambda (sub)
              (if
                (and
                  (= 360 (car sub))
                  (not (vlax-erased-p (cdr sub)))
                )
                (entdel (cdr sub))
              )
            )
            (entget (cdr (assoc 330 (reverse (entget dictSub)))))
          )
          (entdel dictSub)
          (entdel dictMain)
        )
      )
      (princ)
    )[/code]
  • Thank you very much , Gebbinck 
    The script you provided did work . Now I can develope my work in V16 Platinum again.
    My test processes are as below :
    [First audit after file being opened]

    : AUDIT
    Fix any errors detected? Yes/: 
    ..........
    ..........

    86556 objects audited
    Total errors found during audit 46, fixed 0
    : (defun c:test ( / dictMain dictSub)
    (_>   (if
    ((_>     (and
    (((_>       (setq dictMain (vle-dictobjname (namedobjdict) "ACAD_ASSOCNETWORK"))
    (((_>       (setq dictSub (vle-dictobjname dictMain "ACAD_ASSOCNETWORK"))
    (((_>     )
    ((_>     (progn
    (((_>       (mapcar
    ((((_>         '(lambda (sub)
    (((((_>           (if
    ((((((_>             (and
    (((((((_>               (= 360 (car sub))
    (((((((_>               (not (vlax-erased-p (cdr sub)))
    (((((((_>             )
    ((((((_>             (entdel (cdr sub))
    ((((((_>           )
    (((((_>         )
    ((((_>         (entget (cdr (assoc 330 (reverse (entget dictSub)))))
    ((((_>       )
    (((_>       (entdel dictSub)
    (((_>       (entdel dictMain)
    (((_>     )
    ((_>   )
    (_>   (princ)
    (_> )
    C:TEST
    : TEST
    : _qsave (then quit Briscad)

    -----------------------------Reopen the file -----------------------------------

    [First audit]
    : AUDIT
    Fix any errors detected? Yes/: 
    ..........
    ..........

    85522 objects audited
    Total errors found during audit 46, fixed 0

    [First Copy , One Entity]
    : COPY
    Select entities to copy: 
    Entities in set: 1
    Select entities to copy: 
    Current copy mode: Multiple
    Enter base point: mOde/: 
    Enter second point: : 
    Enter second point: Undo/Repeat/Exit :

    [Second audit]
    : AUDIT
    Fix any errors detected? Yes/: 
    ..........
    ..........

    85523 objects audited
    Total errors found during audit 320, fixed 0


    [Second Copy , One Entity]
    : COPY
    Select entities to copy: 
    Entities in set: 1
    Select entities to copy: 
    Current copy mode: Multiple
    Enter base point: mOde/: 
    Enter second point: : 
    Enter second point: Undo/Repeat/Exit : 

    [Second audit]
    : AUDIT
    Fix any errors detected? Yes/: 
    ..........
    ..........

    85524 objects audited
    Total errors found during audit 46, fixed 0


    [Third Copy , Five Entity]
    : COPY
    Select entities to copy: 
    Entities in set: 1
    Select entities to copy: 
    Current copy mode: Multiple
    Enter base point: mOde/: 
    Enter second point: : 
    Enter second point: Undo/Repeat/Exit : 
    Enter second point: Undo/Repeat/Exit : 
    Enter second point: Undo/Repeat/Exit : 
    Enter second point: Undo/Repeat/Exit : 
    Enter second point: Undo/Repeat/Exit : 

    [Third audit]
    : AUDIT
    Fix any errors detected? Yes/: 
    ..........
    ..........

    85529 objects audited
    Total errors found during audit 46, fixed 0
  • Thank you for the feedback. Nice to hear that the code has solved your problem.
This discussion has been closed.